Exception::getTrace
Exception::__toString
Exception
PHP Manual

# Exception::getTraceAsString

(PHP 5 >= 5.1.0)

Exception::getTraceAsString — Récupère la trace de la pile en tant que chaîne

### Description

final public string Exception::getTraceAsString ( void )

Retourne la trace de la pile de l'exception, sous la forme d'une chaîne de caractères.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Retourne la trace de la pile de l'exception, sous la forme d'une chaîne de caractères.

### Exemples

Exemple #1 Exemple avec Exception::getTraceAsString()

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
echo $e->getTraceAsString();
}
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    #0 /home/bjori/tmp/ex.php(7): test()
    #1 {main}

Exception::getTrace
Exception::__toString
Exception
PHP Manual